<?php

  class mw_forms_contact extends mw_mod{

    function index(&$env){
      if($env->config("contact_form") && $env->config("email")){
        if($env->config("captcha")){
          if(file_exists($env->path("libs")."ptitcaptcha.php")){
            require $env->path("libs")."ptitcaptcha.php";
          }
          else{
            $env->erreur("fichier du captcha introuvable");
            return;
          }
        }
        if($_POST){
          if(
            $this->__send_form(
              $env,
              $_POST["email"],
              "[".$env->config("site_name")."] nouveau message",
              $_POST["message"],
              $env->config("email"),
              $env->config("captcha")
            )
          ){
            $env->redirect(
              $env->url("index"),
              "Le message a &eacute;t&eacute; envoy&eacute;",
              2
            );
          }
        }
      }
      else $env->run("index");
    }

    function __send_form(&$env, $from, $titre, $message, $dest, $captcha){
      $env->set_out("ENVOYE", false);
      if(!$captcha || PtitCaptchaHelper::checkCaptcha()){
        if($from){
          if($dest){
            if(
              @mail(
                $dest,
                $titre,
                $message,
                 "From: ".$from."\r\n"
                ."Reply-To: ".$from."\r\n"
              )
            ){
              $env->set_out("ENVOYE", true);
              return true;
            }
            else $env->erreur("Erreur &agrave; l'envoi du mail");
          }
          else $env->erreur("Impossible de trouver l'email du destinataire");
        }
        else $env->message("merci de pr&eacute;ciser un email");
      }
      else $env->message("anti-spam incorrect");
      return false;
    }

  }

?>